/*
 *****************************************************************************
 * rc_test.c
 Title: audio signal acquisition from radio control transmitter
 Authors:
  Joel Lienard
  Lionel Cailler
 
 Purpose:  This is a test  programm to check audio rc signal  acquisition.  It
  displays channel acquisition values.
  This code is based on origianl  Joel Lienard source code modified to support a
  portable library to a wide list of oses : http://www.portaudio.com
  It is a cross-platform code that works on Windows, Macintosh, Unix running OSS,
  SGI, BeOS, and perhaps other platforms by the time you read this.

 It's free, it works, enjoy.  This  is an open source project, so if you  don't
 like the way something works, help us fix it!

 * CHANGE HISTORY:
   03nov2003 add recompile with port_audio_v18_1 and text display improvements.

 *
 *****************************************************************************
 */

#include <stdio.h>
#include <stdlib.h>
#include "audio_rc.h"
#include "portaudio.h"

void audio_rc_test(){
        float values[11];
        int i;
//	do{
            if(get_data_from_audio_interface(values)) {
            	for(i=0;i<10;i++) printf(" %2d:%+5.3f ",i,values[i]);
            	printf("\n");
            }
//          }while(1);
	}

/*******************************************************************/
int main(void);
int main(void)
{
//    PortAudioStream *stream;
//    int inputDevice = Pa_GetDefaultInputDeviceID();
//    int        i,numDevices;
//    PaDeviceInfo pdi;

    
//    printf("Channel data acquisition configuration test\n");
//    printf("\n"); fflush(stdout);

//    numDevices = Pa_CountDevices();
//    printf(    "Number of total devices : Pa_CountDevices()\t: %d.\n", numDevices );
//    for( i=0; i<numDevices; i++ ) {
//        pdi = *Pa_GetDeviceInfo( i );
//        printf("Device(%d) name  \t: %s.\n", i, pdi.name);
//        printf("\tMax Inputs   = %d\n", pdi.maxInputChannels  );
//        printf("\tMax Outputs  = %d\n", pdi.maxOutputChannels  );
//    }
//    printf("Default Devic id : %d.\n", Pa_GetDefaultInputDeviceID() );
	int i,numDevices;
	PaDeviceInfo pdi;
    PaError    err;

    err = Pa_Initialize();
    if( err != paNoError ) goto error;

    numDevices = Pa_CountDevices();
    printf(    "Number of total devices : Pa_CountDevices()\t: %d.\n", numDevices );
    for( i=0; i<numDevices; i++ ) {
        pdi = *Pa_GetDeviceInfo( i );
        printf("Device(%d) name  \t: %s.\n", i, pdi.name);
        printf("\tMax Inputs   = %d\n", pdi.maxInputChannels  );
        printf("\tMax Outputs  = %d\n", pdi.maxOutputChannels  );
    }
	printf("Default Devic id : %d.\n", Pa_GetDefaultInputDeviceID() );

    Pa_Terminate();
    printf("\n");
    
	
	audio_rc_open();

    printf("\nNow display channel acquisition 0 up to 9 during 10seconds!!\n"); fflush(stdout);


    for( i=0; i<100; i++ )
    {
    	Pa_Sleep(100);
    	/* launch test */
    	audio_rc_test();
    	fflush(stdout);
    }

    audio_rc_close();




    return 0;

error:
    Pa_Terminate();
    fprintf( stderr, "An error occured while using the portaudio stream\n" );
    fprintf( stderr, "Error number: %d\n", err );
    fprintf( stderr, "Error message: %s\n", Pa_GetErrorText( err ) );

    return -1;
}
