/***************************************************************************

 Title:		crrc_keyboard.c

 DESIGNED:	Kees Lemmens, July 2004
 CODED:   	KL
 MAINTAINER:	KL
 LAST MODIFIED:	July 2004
----------------------------------------------------------------------------*/

#include "crrc_main.h"

/*****************************************************************************/

void key_down(SDL_keysym *keysym)
{
	switch (keysym->sym) {
		case SDLK_ESCAPE:
			SDL_Quit();
			exit(0);
			break;
		case SDLK_r:
			reset_sim();
			break;
		case SDLK_p:
			pause_sim();
			break;
		case SDLK_u:
			resume_sim();
			break;
		case SDLK_KP_PLUS:
			if (zoom_control==KEYBOARD) {
				field_of_view-=5;
				if (field_of_view < 5)
					field_of_view=5;
				glViewport(0,0,(GLsizei)window_xsize,
					(GLsizei)window_ysize);
				glMatrixMode(GL_PROJECTION);
				glLoadIdentity();
				gluPerspective(field_of_view,
				(GLfloat)window_xsize/(GLfloat)window_ysize,
								3,9500.0);
				glMatrixMode(GL_MODELVIEW);
			}
			break;
		case SDLK_t:
			if (training_mode==FALSE)
				training_mode=TRUE;
			else
				training_mode=FALSE;
			break;
		case SDLK_KP_MINUS:
			if (zoom_control==KEYBOARD) {
				field_of_view+=5;
				if (field_of_view > 55)
					field_of_view=55;
				glViewport(0,0,(GLsizei)window_xsize,
						(GLsizei)window_ysize);
				glMatrixMode(GL_PROJECTION);
				glLoadIdentity();
				gluPerspective(field_of_view,
				(GLfloat)window_xsize/(GLfloat)window_ysize,
								3,9500.0);
				glMatrixMode(GL_MODELVIEW);
			}
			break;
		case SDLK_KP5:
			rudder_input=0;
			elevator_input=0;
			aileron_input=0;
			// throttle_input=0; /* should this be here as well ? */
			break;
		case SDLK_LEFT:
		case SDLK_KP4:
			rudder_input=rudder_input+0.05;
			if (rudder_input > 0.5)
				rudder_input=0.5;
			break;
		case SDLK_RIGHT:
		case SDLK_KP6:
			rudder_input=rudder_input-0.05;
			if (rudder_input < -0.5)
				rudder_input=-0.5;
			break;
		case SDLK_KP7:
			aileron_input=aileron_input-0.05;
			if (aileron_input < -0.5)
				aileron_input=-0.5;
			break;
		case SDLK_KP9:
			aileron_input=aileron_input+0.05;
			if (aileron_input > 0.5)
				aileron_input=0.5;
			break;
		case SDLK_UP:
		case SDLK_KP8:
			elevator_input=elevator_input+0.05;
			if (elevator_input>0.5)
				elevator_input=0.5;
			break;
		case SDLK_DOWN:
		case SDLK_KP2:
			elevator_input=elevator_input-0.05;
			if (elevator_input<-0.5)
				elevator_input=-0.5;
			break;
		case SDLK_PAGEUP:
			throttle_input=throttle_input+0.1;
			if (throttle_input>1)
				throttle_input=1;
			break;
		case SDLK_PAGEDOWN:
			throttle_input=throttle_input-0.1;
			if (throttle_input<0)
				throttle_input=0;
			break;
		default:
			/* just to avoid compiler complains ;) */
			break;
	}
}

